/****************************************************************/
/*                                                              */
/*                          network.c                           */
/*                            DOS-C                             */
/*                                                              */
/*                 Networking Support functions                 */
/*                                                              */
/*                   Copyright (c) 1995, 1999                   */
/*                         James Tabor                          */
/*                      All Rights Reserved                     */
/*                                                              */
/* This file is part of DOS-C.                                  */
/*                                                              */
/* DOS-C is free software; you can redistribute it and/or       */
/* modify it under the terms of the GNU General Public License  */
/* as published by the Free Software Foundation; either version */
/* 2, or (at your option) any later version.                    */
/*                                                              */
/* DOS-C is distributed in the hope that it will be useful, but */
/* WITHOUT ANY WARRANTY; without even the implied warranty of   */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See    */
/* the GNU General Public License for more details.             */
/*                                                              */
/* You should have received a copy of the GNU General Public    */
/* License along with DOS-C; see the file COPYING.  If not,     */
/* write to the Free Software Foundation, 675 Mass Ave,         */
/* Cambridge, MA 02139, USA.                                    */
/****************************************************************/

#include "portab.h"
#include "globals.h"


#ifdef VERSION_STRINGS
static BYTE *RcsId = "$Id: NETWORK.C,v 1.2 1999/09/23 04:40:48 jprice Exp $";
#endif

/*
 * $Log: NETWORK.C,v $
 * Revision 1.2  1999/09/23 04:40:48  jprice
 * *** empty log message ***
 *
 */


UWORD get_machine_name(BYTE FAR * netname)
{
    BYTE FAR * xn;

    xn = MK_FP(net_name, 0);
    fbcopy((BYTE FAR *) netname, xn, 15);
    return (NetBios);

}

VOID set_machine_name(BYTE FAR * netname, UWORD name_num)
{
    BYTE FAR * xn;

    xn = MK_FP(net_name, 0);
    NetBios = name_num;
    fbcopy( xn, (BYTE FAR *) netname, 15);
    net_set_count++;

}

/*
*   Read/Write from/to remote file.
*   SFT gets updated with the amount of bytes r/w.
*
*/
UCOUNT Remote_RW( UWORD func, UCOUNT n, BYTE FAR * bp, sft FAR * s, COUNT FAR * err)
{

    BYTE FAR * save_dta;
    UWORD rc, rx;

    save_dta = dta;
    dta = bp;
    rx = int2f_Remote_call(func, 0, n, 0, (VOID FAR *)s, 0, (VOID FAR *)&rc);
    dta = save_dta;
    *err = rx;
    return((UCOUNT) rc);
}

COUNT Remote_find( UWORD func, UWORD attrib, BYTE FAR * name)
{

    int2f_Remote_call(REM_FILENAME,0,0,0,(VOID FAR *)&_PriPathBuffer,0,(VOID FAR *)name);

    return int2f_Remote_call(func, attrib,0,0,0,0,0);
}

/*
*   Open Existing Remote File, SDA First FN ptr -> Fully qualified name.
*   open func 3d
*   Create/Truncate w/o CDS Remote File
*   Extended Open/Create File
*/
UWORD Remote_OCT(UWORD func, UWORD pw, sft FAR * s)
{
    int2f_Remote_call(func, 0, 0, 0, (VOID FAR *)s, 0, (VOID FAR *) pw);
}

